<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/app-store-review-attachments",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "App Store review attachments"
}
-->

# App Store review attachments

Manage the attachments you upload to App Store Connect for App Review.

## Discussion

Use an `appReviewAttachments` resource to upload specific app documentation, demo videos, and other items to App Store Connect, to help prevent delays during the app review process.

For more information, see [App Review information](https://developer.apple.com/help/app-store-connect/reference/app-review-information).

## Topics

### Reading Attachment Information

[`GET /v1/appStoreReviewAttachments/{id}`](/documentation/AppStoreConnectAPI/GET-v1-appStoreReviewAttachments-_id_)

Get information about an App Store review attachment and its upload and processing status.

[`GET /v1/appStoreReviewDetails/{id}/appStoreReviewAttachments`](/documentation/AppStoreConnectAPI/GET-v1-appStoreReviewDetails-_id_-appStoreReviewAttachments)

List all the App Store review attachments you include with a version when you submit it for App Review.

[`GET /v1/appStoreReviewDetails/{id}/relationships/appStoreReviewAttachments`](/documentation/AppStoreConnectAPI/GET-v1-appStoreReviewDetails-_id_-relationships-appStoreReviewAttachments)

### Creating, Modifying, and Deleting Attachments

[`POST /v1/appStoreReviewAttachments`](/documentation/AppStoreConnectAPI/POST-v1-appStoreReviewAttachments)

Attach a document for App Review to an App Store version.

[`PATCH /v1/appStoreReviewAttachments/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-appStoreReviewAttachments-_id_)

Commit an app screenshot after uploading it to the App Store.

[`DELETE /v1/appStoreReviewAttachments/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-appStoreReviewAttachments-_id_)

Remove an attachment before you send your app to App Review.

### Objects

[`AppStoreReviewAttachment`](/documentation/AppStoreConnectAPI/AppStoreReviewAttachment)

A file attached to an App Store review submission to provide reviewers with additional context, such as demo credentials or notes.

[`AppStoreReviewAttachmentCreateRequest`](/documentation/AppStoreConnectAPI/AppStoreReviewAttachmentCreateRequest)

The request body you use to create an App Store Review Attachment.

[`AppStoreReviewAttachmentResponse`](/documentation/AppStoreConnectAPI/AppStoreReviewAttachmentResponse)

The response body for endpoints that create, read, or modify a file attached to an App Store review submission.

[`AppStoreReviewAttachmentUpdateRequest`](/documentation/AppStoreConnectAPI/AppStoreReviewAttachmentUpdateRequest)

The request body you use to update an App Store Review Attachment.

[`AppStoreReviewAttachmentsResponse`](/documentation/AppStoreConnectAPI/AppStoreReviewAttachmentsResponse)

The response body for endpoints that list files attached to an App Store review submission.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)